curl --request GET \
--url https://api.sandbox.lead.bank/v1/internal_transfer/{internal_transfer_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.lead.bank/v1/internal_transfer/{internal_transfer_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.lead.bank/v1/internal_transfer/{internal_transfer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "internal_transfer_xyz123",
"amount": 5000,
"currency_code": "USD",
"sender_account_id": "account_xyz123",
"sender_account_number_id": "account_number_xyz123",
"receiver_account_id": "account_xyz123",
"receiver_account_number_id": "account_number_xyz123",
"status": "posted",
"description": "<string>",
"metadata": {},
"created_at": "2022-06-27T11:22:33Z",
"updated_at": "2022-06-27T11:22:33Z",
"rejection": {
"reason": "account_number_not_active",
"details": "Account number account_123 is inactive."
}
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}Retrieve an Internal Transfer
Retrieve an Internal Transfer.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the internal transfer object to be retrieved.
5^internal_transfer_\w+$Response
An Internal Transfer object.
The ID of the Internal Transfer object.
^internal_transfer_\w+$"internal_transfer_xyz123"
The amount of the transaction in cents.
0 <= x <= 99000000005000
A three-letter currency code as defined in ISO 4217.
USD "USD"
The ID of the Account object.
^account_\w+$"account_xyz123"
The ID of the Lead Bank Account Number object.
^account_number_\w+$"account_number_xyz123"
The ID of the Account object.
^account_\w+$"account_xyz123"
The ID of the Lead Bank Account Number object.
^account_number_\w+$"account_number_xyz123"
The current status of the InternalTransfer object.
processing, posted, rejected "posted"
Memo string for the transfer
A set of key-value pairs that can be used to store additional information related to this object.
Show child attributes
Show child attributes
The RFC3339 timestamp at which the InternalTransfer object was created.
"2022-06-27T11:22:33Z"
The RFC3339 timestamp at which the InternalTransfer object was last updated.
"2022-06-27T11:22:33Z"
Show child attributes
Show child attributes
Was this page helpful?

